Operating System - OpenVMS
cancel
Showing results for 
Search instead for 
Did you mean: 

Rebuilding SSL with ZLIB support

 
Galen Tackett
Valued Contributor

Rebuilding SSL with ZLIB support

HP SSL Version 1.3 for OpenVMS comes built to support RLE compression but not ZLIB. The manual for SSL (HP Open Source Security for OpenVMS Volume 2: HP SSL for OpenVMS) says that support for ZLIB can be especially enabled during compilation, but doesn't say how to accomplish this. See the documentation at http://h71000.www7.hp.com/doc/83FINAL/BA554_90007/rn03re195.html

I've downloaded HP's source kit and have done a default (RLE compression only) rebuild but it isn't very obvious how to do the rebuild with ZLIB enabled.

If someone else has done this could you tell me how? Meantime I'll continue to look at the source kit's build procedures.

Fortunately I have a support agreement and HP supports this software. I'm also asking them if they know how to do this.

If I learn anything and anyone's interested, I'll post the details.
1 REPLY 1
Jean-François Piéronne
Trusted Contributor

Re: Rebuilding SSL with ZLIB support

A quick look at the source of OpenSSL 0.9.8g seem to indicate that you only need to compile crypto/comp/c_zlib.c file and include it into the libcrypto library.

JF